.mainheader {
  position: absolute;
  z-index: 999;
  width: 100%;
  border-bottom: 1px solid rgba(255, 255, 255, 0.15);
}

.header-topwrap {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;

  & .hd-logo {
    padding: 16px 0;
  }

  & .hd-right,
  .call-wrap-link {
    display: inline-flex;
    flex-wrap: wrap;

    & .call-icon {
      width: 47px;
      height: 47px;
      border-radius: 100%;
      display: inline-flex;
      justify-content: center;
      align-items: center;
      background-color: var(--white);
    }

    & .call-text {
      padding-left: 15px;
      flex: 1;
      color: var(--white);

      & span {
        display: block;
        font-weight: 500;
        font-size: 16px;
      }

      & a {
        font-size: 20px;
        font-weight: bold;
        transition:
          color 0.3s ease-in-out,
          box-shadow 0.3s ease-in-out;

        &:hover {
          color: #fff;
          box-shadow: inset 200px 0 0 0 #165385;
        }
      }
    }
  }

  & .hd-right {
    & .call-wrap-link {
      margin-right: 20px;
      align-items: center;
    }
  }

  & .menu-wrap {
    position: relative;
    flex: 1;
    display: inline-flex;
    /* justify-content: flex-end;
    padding-right: 120px; */
    justify-content: center;
  }
}

.menu-link nav {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  width: 100%;
}

.menu-link nav > ul {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  position: relative;
  justify-content: center;
  margin: 0;
}

.menu-link nav > ul > li {
  position: relative;
  display: inline-block;
  text-align: center;
  vertical-align: middle;
  margin-bottom: 0;
}

.menu-wrap .menu-link nav > ul > li {
  padding: 14px 22px;
  position: relative;
}

.menu-wrap .menu-link nav > ul > li .menudrop {
  font-size: 16px;
  line-height: 1;
  margin-left: 10px;
  font-weight: var(--font-weight-bold);
  color: var(--white);
}

.menu-wrap .menu-link nav > ul > li > a {
  font-size: 16px;
  padding: 0px;
  position: relative;
  line-height: 1.2;
  letter-spacing: 0px;
  font-weight: var(--font-weight-medium);
  display: inline-flex;
  flex-wrap: wrap;
  align-items: center;
  transition: all 0.3s ease-in-out;
  -webkit-transition: all 0.3s ease-in-out;
  -ms-transition: all 0.3s ease-in-out;
  text-decoration: none;
  text-transform: capitalize;
  font-family: var(--font-body-family);
  color: var(--white);
}

.menu-wrap .menu-link nav > ul > li:hover > a,
.menu-wrap .menu-link nav > ul > li.active > a {
  color: #b3cedb;
  background-position: 0 0;
  transition: all 0.3s ease-in-out;
  -webkit-transition: all 0.3s ease-in-out;
  -ms-transition: all 0.3s ease-in-out;
}

.menudrop {
  z-index: 1;
  height: 16px;
  width: 16px;
  text-align: center;
  vertical-align: middle;
  margin-left: 6px;
  margin-top: 0px;
  line-height: 1;
  font-size: 16px;
  font-weight: 600;
  color: var(--secondary);
  transition: all 0.5s ease-in-out;
  -webkit-transition: all 0.5s ease-in-out;
  -ms-transition: all 0.5s ease-in-out;
  line-height: 16px;
}

.menudrop.openedmenu:before {
  content: "\f106";
}

.menu-link .sub-menu {
  left: 0;
  margin-left: 0px;
  position: absolute;
  top: 100%;
  width: 300px;
  display: flex;
  flex-wrap: wrap;
  text-align: left;
  border-radius: 0px;
  z-index: 10;
  background: #ffffff;
  -webkit-transition: all 0.4s ease-in-out;
  transition: all 0.4s ease-in-out;
  box-shadow: 0 0px 30px rgba(0, 0, 0, 0.05);
  opacity: 0;
  visibility: hidden;
  top: 100%;
  padding: 20px;
  -webkit-transform: scaleY(0);
  transform: scaleY(0);
  -moz-transform: scaleY(0);
  transform: scaleY(0);
  transform-origin: 0 0;
}

.menu-link ul > li > .sub-menu {
  list-style-type: none;
  margin-left: 0;

  > li {
    position: relative;
    padding-left: 20px;
    margin-bottom: 0;
    padding: 15px 20px;

    &:not(:last-of-type) {
      border-bottom: 1px solid #e3e3e3;
    }

    &:before {
      content: "\f105";
      left: 0;
      top: 18px;
      font-family: "FontAwesome";
      position: absolute;
      line-height: 1.2;
      font-size: 18px;
    }

    > a {
      font-size: 16px;
      font-weight: 500;
      text-decoration: none;
      color: var(--secondary);

      &:hover {
        color: var(--theme);
      }
    }

    &.active > a {
      color: var(--theme);
    }
  }
}

.menu-link li:hover > .sub-menu {
  opacity: 1;
  visibility: visible;
  -webkit-transform: scaleY(1);
  transform: scaleY(1);
  display: block;
}

.menuoverlay {
  position: relative;
}

.menuoverlay:after {
  position: absolute;
  content: "";
  width: 100%;
  height: calc(100% - 128px);
  top: 0;
  margin-top: 128px;
  background-color: rgba(0 0 0 / 70%);
  left: 0;
  z-index: 99;
}

/**/
.menu-link .sub-menu.megamenu .menu-level1 > li > a .menudrop {
  display: none;
}

.menu-link nav > ul > li.areas-dropdown {
  position: static;
}

.areas-dropdown .sub-menu.megamenu {
  /* width: 100%;
  left: 0; */
  width: 500px;
  left: 450px;
  padding: 25px;

  & .areas-list-wrap {
    list-style-type: none;
    margin: 0;
    /* column-count: 2; */
    display: block;
    display: flex;
    flex-wrap: wrap;

    > li {
      position: relative;
      padding-left: 30px;
      width: 50%;

      &:before {
        position: absolute;
        content: "";
        background: url(../images/svg/a-location-pin.svg) no-repeat;
        left: 0;
        top: 3px;
        width: 20px;
        height: 24px;
      }

      > .label_li {
      }

      a {
        text-decoration: none;
        font-weight: 500;

        & span {
          font-weight: bold;
          display: block;
        }

        &:hover {
          color: var(--theme);
        }
      }
    }
  }
}

.areas-list-wrap .label_li {
  width: 100% !important;
  font-weight: 700;
  padding-left: 0 !important;
}

.areas-list-wrap .label_li:before {
  display: none;
}

.areas-list-wrap .label_li > a {
  font-weight: 700 !important;
  font-size: 17px;
  margin-bottom: 10px;
}

.menu-wrap .menu-link nav > ul > li.areas-dropdown.haschild {
  &:before {
    margin-left: 250px;
  }
}

.menu-wrap .menu-link nav > ul > li.service-dropdown {
  position: relative;
}

.menu-text-bottom {
  position: absolute;
  bottom: -10px;
}

.service-dropdown .sub-menu.megamenu {
  width: 100%;
  padding: 60px 60px 80px 60px;
  width: 1420px;
  left: -300px;
  overflow: hidden;
  min-height: 650px;
  border-top: 2px solid #1d546c;
  list-style-type: none;
  margin-left: 0;

  > li {
    margin-bottom: 0;
  }

  & .heading-26 {
    margin-bottom: 10px;
  }

  & .sub-links {
    list-style-type: none;
    margin-left: 0;
    width: 390px;

    & > li {
      padding-bottom: 20px;
      padding: 15px 20px;
      width: 100%;
      margin: 0;

      &:not(:last-of-type) {
        border-bottom: 1px solid #e3e3e3;
      }

      &:has(.sub-menu):hover,
      &.active {
        background-color: var(--theme);
        color: var(--white);
      }

      > a {
        color: #2e3638;
        font-size: 16px;
        font-weight: bold;
        text-decoration: none;
        display: flex;
        width: 100%;
        flex-wrap: wrap;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        position: relative;
        transition: all 0.3s linear;

        &:after {
          position: absolute;
          content: "";
          right: -6px;
          width: 13px;
          height: 2px;
          border-radius: 1px;
          background-color: #000000;
          transition: all 0.3s linear;
        }

        .menudrop {
          transform: rotate(270deg);
          color: var(--bgblack);
          margin: 0;
          font-size: 20px;
          right: -10px;
          position: absolute;
          top: 5px;
        }
      }

      &:hover > a,
      &.active > a {
        color: var(--white);

        &::after {
          background-color: var(--white);
        }

        & .menudrop {
          color: var(--white);
        }
      }

      &:has(.heading-26) {
        padding: 0;
      }
    }
  }
}

.menuwrap {
  display: flex;
  flex-wrap: wrap;
  align-items: flex-start;
  width: 100%;
  height: 100%;
  padding: 40px 50px;
  background: transparent linear-gradient(97deg, #f2f2f2 0%, #f2f2f200 100%) 0%
    0% no-repeat padding-box;

  & .menuleft {
    width: calc(100% - 390px);
    padding-right: 30px;

    & .menu-ul {
      max-height: 375px;
      overflow-y: auto;
    }
  }

  & .menuimg {
    flex: 1;
  }
}

ul.menu-ul {
  list-style-type: none;
  padding: 0px 40px 0 0;
  height: 100%;
  margin: 0;

  > li {
    position: relative;
    padding-left: 20px;
    line-height: 1.2;
    margin-bottom: 15px;

    &:before {
      content: "\f105";
      left: 0;
      top: 2px;
      font-family: "FontAwesome";
      position: absolute;
      line-height: 1;
      font-weight: 600;
    }

    > a {
      text-decoration: none;
      color: #2e3638;
      font-size: 16px;
      font-weight: 600;
      line-height: 22px;
    }

    &:hover,
    &.active {
      > a {
        color: var(--theme);
      }
    }
  }
}

.menu-wrap .menu-link nav > ul > li.haschild {
  &:before {
    position: absolute;
    content: "";
    width: 18px;
    height: 15px;
    background-color: var(--theme);
    bottom: 0;
    left: 50%;
    margin-left: -9px;
    clip-path: polygon(50% 0%, 0% 100%, 100% 100%);
    opacity: 0;
  }

  &:hover::before {
    opacity: 1;
  }
}

li.haschild.menu-item-hover .sub-menu.menu-level2 {
  opacity: 1;
  visibility: visible;
  pointer-events: all;
}

.menu-info {
  font-weight: 600;
  line-height: 24px;
  margin-bottom: 15px;
  color: var(--black);
  padding: 0 35px;
  font-size: 18px;
}

ul.sub-menulink {
  column-count: 2;
  column-gap: 20px;
  padding: 0 35px 28px 40px;
  margin-left: 0;
  list-style-type: none;
  width: 100%;
}

ul.sub-menulink > li > a > span {
  display: block;
  font-weight: var(--font-weight-bold);
}

ul.sub-menulink > li > a {
  font-size: 15px;
  color: var(--secondary);
  line-height: 1.2;
  position: relative;
  text-decoration: none;
  padding: 0 0 0 16px;
  font-weight: 500;
}

ul.sub-menulink > li > a:before {
  position: absolute;
  content: "\f105";
  font-family: "FontAwesome";
  color: var(--secondary);
  line-height: 1;
  font-weight: 500;
  left: 0;
  top: 0;
  font-size: 15px;
  margin-top: 2px;
}

ul.sub-menulink > li {
  margin-bottom: 8px;
}

.menu-link ul > li > .sub-menu ul.sublink > li > a span {
  font-size: 12px;
  display: block;
  color: var(--secondary);
  line-height: 1.3;
  font-weight: 500;
  margin-top: 6px;
}

ul.sub-dropdown {
  list-style-type: none;
  margin-left: 0;
}

ul.sub-dropdown > li > a {
  font-size: 18px;
  color: var(--secondary);
  line-height: 1.2;
  display: block;
  text-decoration: none;
}

ul.sub-dropdown > li:hover > a {
  color: var(--theme);
}

.menu-wrap
  .menu-link
  nav
  > ul
  > li.service-dropdown
  ul.sub-dropdown
  > li
  .service-title {
  font-size: 18px;
  font-weight: var(--font-weight-semibold);
  padding: 15px 0;
  text-align: center;
}

/*STICKY HEADER*/
.fixed-header .mainheader {
  position: fixed;
  top: 0;
  z-index: 9999;
  width: 100%;
  -webkit-animation: 0.7s ease-in-out 0s normal none 1 running fadeInDown;
  animation: 0.7s ease-in-out 0s normal none 1 running fadeInDown;
  border-top: 0;
  background-color: rgb(255 255 255 / 84%);
  backdrop-filter: blur(1px);
  box-shadow: 0px 3px 10px 0px rgb(0 0 0 / 20%);
  -moz-box-shadow: 0px 3px 10px 0px rgb(0 0 0 / 20%);
  -webkit-box-shadow: 0px 3px 10px 0px rgb(0 0 0 / 20%);
  & .header-topwrap {
    & .hd-logo {
      width: 100px;
      padding: 10px 0;
      & a > img {
        filter: invert(1);
      }
    }
  }
  & .menu-wrap .menu-link nav > ul > li {
    padding: 5px 22px;
    & > a,
    .menudrop {
      color: var(--black);
    }
  }
}

@-webkit-keyframes fadeInDown {
  0% {
    -webkit-transform: translate3d(0, -10%, 0);
    opacity: 0;
    transform: translate3d(0, -10%, 0);
  }

  to {
    -webkit-transform: translateZ(0);
    opacity: 1;
    transform: translateZ(0);
  }
}

@keyframes fadeInDown {
  0% {
    -webkit-transform: translate3d(0, -10%, 0);
    opacity: 0;
    transform: translate3d(0, -10%, 0);
  }

  to {
    -webkit-transform: translateZ(0);
    opacity: 1;
    transform: translateZ(0);
  }
}

.fadeInDown {
  -webkit-animation-name: fadeInDown;
  animation-name: fadeInDown;
}

@media (min-width: 1200px) {
  .menu-link ul > li > .sub-menu.menu-level2 {
    left: 450px;
    opacity: 0;
    visibility: hidden;
    top: 0 !important;
    width: calc(100% - 450px);
    transform: none;
    -webkit-transform: none;
    -ms-transform: none;
    box-shadow: none;
    padding: 45px 25px 45px 80px;
    display: flex !important;
    margin: 0;
    justify-content: space-between;
    height: calc(100% - 70px);
    border-radius: 0;
  }
}

@media (hover: hover) and (pointer: fine) {
  .menu-link ul > li > .sub-menu {
    pointer-events: none;
    opacity: 0;
    visibility: hidden;
    top: 80%;
    -webkit-transition: all 0.45s ease 0s;
    -moz-transition: all 0.45s ease 0s;
    -ms-transition: all 0.45s ease 0s;
    -o-transition: all 0.45s ease 0s;
    transition: all 0.45s ease 0s;
    box-shadow: 0 0px 30px rgba(0, 0, 0, 0.05);
  }

  .menu-link ul > li:hover > .sub-menu {
    pointer-events: auto;
    opacity: 1;
    visibility: visible;
    top: 100%;
    display: block;
  }

  .menu-link .sublink > li.menu-item-hover .sub-menu.menu-level2 {
    pointer-events: auto;
  }
}

/*------ popup -------*/

/* RESPONSIVE  MEDIA QUERY */
@media (max-width: 1680px) {
  .header-topwrap {
    & .menu-wrap {
      padding-right: 0;
    }
  }
}

@media (max-width: 1599.98px) {
  .header-top {
    & .container-fluid {
      padding: 0 30px;
    }
  }

  .service-dropdown .sub-menu.megamenu {
    padding: 50px 50px 50px 50px;
    width: 1300px;
    left: -250px;
  }

  .menu-link ul > li > .sub-menu.menu-level2 {
    padding: 50px 40px 50px 50px;
  }

  .menuwrap {
    padding: 40px;

    & .menuleft {
      width: calc(100% - 330px);
    }
  }

  .menu-wrap .menu-link nav > ul > li {
    padding: 14px 20px;
  }
}

@media (max-width: 1439.98px) {
  .header-top {
    & .container-fluid {
      padding: 0 20px;
    }
  }

  .service-dropdown .sub-menu.megamenu {
    padding: 40px;
    width: 1150px;
    left: -220px;
    min-height: 600px;
  }

  .menu-wrap .menu-link nav > ul > li {
    padding: 0 10px;
  }
  .fixed-header .mainheader {
    & .menu-wrap .menu-link nav > ul > li {
      padding: 5px 15px;
    }
  }
  .header-topwrap {
    & .hd-logo {
      width: 130px;
    }
  }

  .header-topwrap {
    & .hd-right,
    & .call-wrap-link {
      & .call-icon {
        width: 40px;
        height: 40px;
      }
    }
  }

  .header-topwrap {
    & .hd-right {
      & .call-wrap-link {
        margin-right: 15px;

        & .call-text {
          padding-left: 10px;

          & a {
            font-size: 18px;
          }
        }
      }

      & .button {
        padding: 15px 20px;
      }
    }
  }

  .service-dropdown .sub-menu.megamenu {
    & .sub-links {
      width: 340px;
    }
  }

  .menu-link ul > li > .sub-menu.menu-level2 {
    left: 380px;
    width: calc(100% - 380px);
  }

  .menu-link ul > li > .sub-menu.menu-level2 {
    padding: 40px;
    height: calc(100% - 80px);
  }

  .menuwrap {
    & .menuleft {
      width: calc(100% - 280px);
    }
  }
}

@media (max-width: 1199.98px) {
  .header-top .container-fluid {
    padding: 0 15px;
  }

  .togglebtn span {
    position: relative;
    display: inline-block;
    margin-top: 12px;
    vertical-align: top;
    border-radius: 0px;
  }

  .togglebtn span::before,
  .togglebtn span::after {
    content: "";
    position: absolute;
    left: 0;
  }

  .togglebtn span,
  .togglebtn span::before,
  .togglebtn span::after {
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    -ms-transition: all 0.3s ease-in-out;
    width: 32px;
    height: 3px;
    background-color: #ffffff;
  }

  .togglebtn span::before {
    top: -8px;
    width: 24px;
  }

  .togglebtn span::after {
    top: 8px;
    width: 24px;
  }

  .togglebtn {
    position: absolute;
    right: 15px;
    top: 45px;
    display: block;
    text-align: center;
    width: 32px;
    height: 24px;
    border: 0;
    cursor: pointer;
    z-index: 1001;
    padding: 0;
    background: transparent;
    cursor: pointer !important;
  }
  .fixed-header .mainheader {
    & .togglebtn {
      top: 35px;
    }
    & .togglebtn span,
    .togglebtn span::before,
    .togglebtn span::after {
      background-color: #000000;
    }
  }
  .togglebtn.active span::before {
    transform: rotate(-135deg);
    -webkit-transform: rotate(-135deg);
    top: 0;
  }

  .togglebtn.active span::after {
    -webkit-transition-delay: 0.09s;
    top: 0;
    transition-delay: 0.09s;
    transform: rotate(135deg);
    -webkit-transform: rotate(135deg);
    width: 24px;
  }

  .togglebtn.active span,
  .fixed-header .mainheader .togglebtn.active span {
    background-color: transparent;
  }

  .overlay {
    position: fixed;
    top: 117px;
    right: 0;
    z-index: 999;
    width: 100%;
    height: calc(100% - 117px);
    display: none;
    background-color: rgb(0 0 0 / 30%);
    cursor: pointer;
  }

  .menu-link nav {
    padding: 0;
  }

  .menu-link.active {
    transform: translateX(0%);
    -webkit-transform: translateX(0%);
  }

  .menu-link {
    float: none;
    padding: 0;
    position: fixed;
    top: 117px;
    height: calc(100vh - 117px);
    width: 450px;
    margin: 0;
    transition: all 0.6s ease;
    -webkit-transition: all 0.6s ease;
    -ms-transition: all 0.6s ease;
    overflow-y: auto;
    left: 0;
    z-index: 99999;
    transform: translateX(-100%);
    -webkit-transform: translateX(-100%);
    padding: 5px 20px 20px;
    background: var(--white);
  }
  .fixed-header .menu-link {
    top: 85px;
    height: calc(100vh - 85px);
  }

  .menu-link nav {
    flex-direction: column;
  }

  .menu-link nav > ul {
    padding-right: 0;
    width: 100%;
    flex-direction: column;
    align-items: flex-start;
    text-align: left;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
  }

  .menu-link .sub-menu {
    -webkit-transform: none;
    transform: none;
    display: none;
    visibility: unset;
    opacity: unset;
    width: 100%;
    position: relative;
    padding: 0;
    left: auto;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    margin: 0;
    background: transparent;
    min-width: inherit;
    top: auto;
    padding: 0 15px 15px;
    border-top: 0;
    border-radius: 0;
  }

  .menu-wrap .menu-link nav > ul > li > a {
    color: var(--bgblack);
  }

  .menu-wrap .menu-link nav > ul > li.active > a {
    color: var(--theme);
  }

  .menu-link li .sub-menu {
    opacity: unset;
    visibility: unset;
  }

  .areas-dropdown .sub-menu.megamenu {
    left: inherit;
    & .areas-list-wrap {
      column-count: 1;

      > li {
        line-height: 24px;
      }
    }
  }

  .service-dropdown .sub-menu.megamenu {
    & .heading-26 {
      display: none;
    }
  }

  .menu-link ul > li > .sub-menu {
    opacity: unset;
    top: 0;
    visibility: unset;
    display: none;
    padding: 0 10px 5px;
    box-shadow: none;
    display: none;
  }

  .menu-link li:hover .sub-menu {
    display: none;
    -webkit-transform: none;
    transform: none;
    opacity: inherit;
  }

  .menudrop {
    margin: auto 0;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-end;
    height: 100%;
    width: 30px;
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    color: #000000 !important;
  }

  .menu-link nav > ul > li > a {
    display: block;
    width: 100%;
    line-height: 1.2;
    padding: 15px 0px;
    color: var(--secondary);
  }

  html.menuhidden {
    overflow-y: hidden;
  }

  .menu-wrap .menu-link nav > ul > li {
    padding: 0;
    line-height: 1;
    width: 100%;
    border-bottom: 1px solid rgb(0 0 0 / 15%);
  }

  .menu-wrap .menu-link nav > ul > li > a {
    font-size: 16px;
    line-height: 1.5;
    padding: 14px 0;
  }

  .menu-link .sublink > li {
    padding: 0;

    &:hover > a {
      color: var(--theme);
    }
  }

  .hd-right {
    padding-right: 50px;
  }

  ul.sub-dropdown > li > a {
    font-size: 16px;
    color: var(--grey);
    position: relative;
    padding: 15px 20px;
  }

  ul.sub-dropdown > li > a:before,
  .menu-link ul > li > .sub-menu ul.sublink > li > a:before {
    position: absolute;
    content: "\f105";
    font-family: "FontAwesome";
    left: 0;
    margin-left: 0px;
  }

  ul.sub-dropdown > li {
    border-bottom: 1px solid rgb(233 232 232 / 9%);
    padding: 0;
  }

  .menu-wrap .menu-link nav > ul > li.service-dropdown ul.sub-dropdown > li,
  .menu-link .sub-menu.megamenu .menu-level1 > li {
    width: 100%;
    padding: 0px;
    border-bottom: 1px solid rgb(233 232 232 / 9%);
  }

  .menu-wrap
    .menu-link
    nav
    > ul
    > li.service-dropdown
    ul.sub-dropdown
    > li:last-child {
    border-bottom: 0;
  }

  .service-dropdown .sub-menu.megamenu,
  .areas-dropdown .sub-menu.megamenu {
    padding: 0 10px 15px;
  }

  .menu-wrap
    .menu-link
    nav
    > ul
    > li.service-dropdown
    ul.sub-dropdown
    > li
    .service-title {
    font-size: 16px;
    padding: 0;
    text-align: left;
    color: var(--grey);
    font-weight: normal;
  }

  .areas-dropdown .sub-menu.megamenu {
    width: 100%;
    margin-left: 0;

    & .sub-links {
      & > li {
        & > a {
          .menudrop {
            top: 8px;
            right: -20px;
          }

          &:after {
            top: 13.48px;
            right: -7px;
          }
        }
      }
    }
  }

  .menu-link ul > li > .sub-menu ul.sublink {
    width: 100%;
    min-height: auto;
    background-color: transparent;
    border-radius: 0;
    padding: 0;
  }

  .menu-heading,
  .menu-link ul > li > .sub-menu ul.sublink > li > a span {
    display: none;
  }

  .menu-link .sub-menu.megamenu .menu-level1 > li {
    padding-right: 0;
  }

  .menu-link ul > li > .sub-menu ul.sublink > li > a {
    font-size: 16px;
    color: var(--grey);
    position: relative;
    padding: 15px 20px;
  }

  .menu-link .sub-menu.megamenu .menu-level1 > li > a .menudrop {
    text-align: right;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
  }

  .menu-link ul > li > .sub-menu.menu-level2 {
    left: 0;
    width: 100%;
    padding: 0;
  }

  .menu-info {
    display: none;
  }

  ul.sub-menulink {
    padding: 5px 0 10px;
    column-gap: 10px;
  }

  ul.sub-menulink > li > a,
  ul.sub-menulink > li > a:before {
    color: var(--grey);
  }

  .menu-text-bottom {
    display: none;
  }

  .service-dropdown .sub-menu.megamenu {
    width: 100%;
    min-height: auto;
    margin-left: 0;

    & .sub-links {
      > li:has(.heading-26) {
        display: none;
      }
    }
  }

  .menu-link ul > li > .sub-menu.menu-level2 {
    left: inherit;
    width: 100%;
    height: auto;
    display: none;
  }

  .service-dropdown .sub-menu.megamenu {
    width: 100%;
    left: inherit;
    padding: 0;

    & .sub-links {
      width: 100%;

      & > li {
        padding: 10px 15px;

        &:hover,
        &:has(.sub-menu):hover {
          background-color: transparent;

          > a {
            color: var(--theme);

            &::after {
              background-color: #000000 !important;
            }
          }
        }

        & a > .menudrop {
          right: -20px;
          top: 9px;
        }
      }
    }
  }

  ul.menu-ul {
    padding-right: 0;

    & > li {
      margin-bottom: 10px;
      padding-left: 15px;
    }
  }

  .menuwrap {
    & .menuleft {
      & .menu-ul {
        max-height: inherit;
        overflow-y: inherit;
      }
    }
  }

  .menu-wrap .menu-link nav > ul > li.haschild {
    &:before {
      content: none;
    }
  }

  .menu-link ul > li > .sub-menu.menu-level2 {
    left: inherit;
    width: 100%;
  }

  .menuwrap {
    padding: 15px 0 0 0;
    background-color: transparent;
    background: transparent;
  }

  .menuwrap {
    & .menuleft {
      width: 100%;
    }

    & .menuimg {
      display: none;
    }
  }

  .menu-link ul > li > .sub-menu {
    & > li {
      padding: 10px 20px;

      &:before {
        top: 12px;
      }
    }
  }

  .service-dropdown .sub-menu.megamenu {
    & .sub-links {
      & > li {
        & a {
          font-weight: normal;
          padding-right: 0px;
        }

        &.active {
          .menudrop {
            color: var(--white) !important;
          }
        }
      }
    }
  }
}

@media (max-width: 991.98px) {
}

@media (max-width: 767.98px) {
  .header-topwrap {
    & .hd-right {
      & .call-wrap-link {
        & .call-icon {
          width: 36px;
          height: 36px;
        }

        & .call-text {
          & span {
            font-size: 14px;
          }

          & a {
            font-size: 16px;
          }
        }
      }
    }
  }
}

@media (max-width: 575.98px) {
  .togglebtn {
    top: 40px;
  }
  .menu-link {
    width: 100%;
    top: 85px;
    height: calc(100vh - 85px);
  }

  .header-topwrap {
    & .hd-logo {
      width: 100px;
      padding: 10px 0;
    }
  }

  .header-topwrap {
    & .hd-right {
      & .call-wrap-link {
        & .call-text {
          & a {
            font-size: 14px;
          }
        }
      }
    }
  }

  .header-topwrap {
    & .hd-right {
      flex-direction: column;
      gap: 10px;

      & .call-wrap-link {
        margin-right: 0px;
        line-height: 1.2;

        & .call-icon {
          width: 30px;
          height: 30px;

          > img {
            width: 16px;
          }
        }
      }
    }
  }
}

@media (max-width: 375.98px) {
}
